# Networking de mână

# Accesarea unei pagini Web

1\. În orice browser, accesați website-ul <http://example.com/>

2\. Vom realiza același lucru de mână:

  - Din CLI, rulați `telnet example.com 80`. Această comandă deschide o
  conexiune (flux de octeți) către un alt calculator, example.com, care
  funcționează ca un server și rulează un serviciu HTTP (Hypertext Transfer
  Protocol), folosit de World Wide Web. Dacă totul decurge conform planului,
  veți vedea mesajul `Connected to example.com.`.
  - Scrieți `GET / HTTP/1.1`. Aceasta reprezintă acțiunea dorită (`GET`), calea
  către resursa pe care dorim să o accesăm (`/`) și versiunea de protocol
  folosită (`HTTP/1.1`)
  - Scrieți `Host: example.com` - Specifică gazda, de la care dorim să accesăm
  resursa.
  - Scrieți `Connection: close` - Specifică serverului că nu vom mai trimite
  cereri după aceasta.
  - Apăsați `Enter`. Acesta trimite o linie goală care reprezintă faptul că am
  terminat cu cererea HTTP.
  - Dacă totul decurge conform planului, veți vedea un răspuns similar cu cel pe
  care l-ați văzut într-un browser.

La finalul cursului de PCom, veți înțelege ce s-a întâmplat în spatele acestor comenzi.

# Server simplu

Am văzut că telnet poate acționa ca un client care se conectează la un server.
Acum vom vedea cum implementam propriul nostru server.

- Într-un terminal vom rula `netcat -v -l -p 9090` pentru a porni un server
simplu care ascultă pe portul 9090.
- În alt terminal, vom rula `telnet localhost 9090` pentru a ne conecta local,
pe calculator, la serverul care rulează pe portul 9090.
- Dacă totul decurge conform planului, vom vedea în al doilea terminal următorul
mesaj: `Connection from localhost 53500 received!`.
- În oricare dintre ferestre, putem scrie orice, și după ce apăsăm "Enter",
acesta ajunge și în partea cealaltă.

Observăm astfel că avem mai multe procese care pot implementa funcționalități de
networking.
