# tcpdump

Tcpdump este un utilitar de Linux care permite interceptarea și afișarea
traficului de rețea direct din terminal.

```Bash
❯ sudo tcpdump -i wlp0s20f3
dropped privs to tcpdump
tcpdump: verbose output suppressed, use -v[v]... for full protocol decode
listening on wlp0s20f3, link-type EN10MB (Ethernet), snapshot length 262144 bytes
00:16:49.089497 IP6 thinky.41894 > sof02s17-în-x0a.1e100.net.https: Flags [P.], seq 2546843426:2546843465, ack 2356704842, win 501, options [nop,nop,TS val 943111274 ecr 2415067731], length 39
00:16:49.136836 IP6 sof02s17-în-x0a.1e100.net.https > thinky.41894: Flags [.], ack 39, win 289, options [nop,nop,TS val 2415125795 ecr 943111274], length 0
```

---
**Note**

Pentru afla interfețele disponibile pe o mașină ce rulează Linux putem folosi
următoarea comandă:

```Bash
ip address show
```

---

tcpdump permite utilizarea filtrelor precum:

```Bash
# Afișează doar pachete ce au ca IP sursă sau destinație 8.8.8.8
tcpdump host 8.8.8.8
# Afișează doar pachete ce au ca port destinație 80
tcpdump src port 80
```

Tcpdump poate salva traficul interceptat într-un fișier `.pcap` ce poate fi deschis cu Wireshark.

```Bash
tcpdump -w traffic.pcap
```
